//
// 此文件是由 JavaTM Architecture for XML Binding (JAXB) 引用实现 v2.3.0 生成的
// 请访问 <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// 在重新编译源模式时, 对此文件的所有修改都将丢失。
// 生成时间: 2026.03.02 时间 03:10:34 PM CST 
//


package com.njcn.gather.icd.mapping.infrastructure.parser.generated;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>tGSESettings complex type的 Java 类。
 * 
 * <p>以下模式片段指定包含在此类中的预期内容。
 * 
 * <pre>
 * &lt;complexType name="tGSESettings"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{http://www.iec.ch/61850/2003/SCL}tServiceSettings"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="McSecurity" type="{http://www.iec.ch/61850/2003/SCL}tMcSecurity" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *       &lt;attribute name="appID" type="{http://www.iec.ch/61850/2003/SCL}tServiceSettingsEnum" default="Fix" /&gt;
 *       &lt;attribute name="dataLabel" type="{http://www.iec.ch/61850/2003/SCL}tServiceSettingsEnum" default="Fix" /&gt;
 *       &lt;attribute name="kdaParticipant" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" /&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "tGSESettings", propOrder = {
    "mcSecurity"
})
public class TGSESettings
    extends TServiceSettings
{

    @XmlElement(name = "McSecurity")
    protected TMcSecurity mcSecurity;
    @XmlAttribute(name = "appID")
    protected TServiceSettingsEnum appID;
    @XmlAttribute(name = "dataLabel")
    protected TServiceSettingsEnum dataLabel;
    @XmlAttribute(name = "kdaParticipant")
    protected Boolean kdaParticipant;

    /**
     * 获取mcSecurity属性的值。
     * 
     * @return
     *     possible object is
     *     {@link TMcSecurity }
     *     
     */
    public TMcSecurity getMcSecurity() {
        return mcSecurity;
    }

    /**
     * 设置mcSecurity属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link TMcSecurity }
     *     
     */
    public void setMcSecurity(TMcSecurity value) {
        this.mcSecurity = value;
    }

    /**
     * 获取appID属性的值。
     * 
     * @return
     *     possible object is
     *     {@link TServiceSettingsEnum }
     *     
     */
    public TServiceSettingsEnum getAppID() {
        if (appID == null) {
            return TServiceSettingsEnum.FIX;
        } else {
            return appID;
        }
    }

    /**
     * 设置appID属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link TServiceSettingsEnum }
     *     
     */
    public void setAppID(TServiceSettingsEnum value) {
        this.appID = value;
    }

    /**
     * 获取dataLabel属性的值。
     * 
     * @return
     *     possible object is
     *     {@link TServiceSettingsEnum }
     *     
     */
    public TServiceSettingsEnum getDataLabel() {
        if (dataLabel == null) {
            return TServiceSettingsEnum.FIX;
        } else {
            return dataLabel;
        }
    }

    /**
     * 设置dataLabel属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link TServiceSettingsEnum }
     *     
     */
    public void setDataLabel(TServiceSettingsEnum value) {
        this.dataLabel = value;
    }

    /**
     * 获取kdaParticipant属性的值。
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isKdaParticipant() {
        if (kdaParticipant == null) {
            return false;
        } else {
            return kdaParticipant;
        }
    }

    /**
     * 设置kdaParticipant属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setKdaParticipant(Boolean value) {
        this.kdaParticipant = value;
    }

}
